Enable AbuseFilter runtime measurement (Grafana) on more wikis of other languages
Closed, ResolvedPublic

Description

Right now, AbuseFilter profiling (T161059) is only enabled on a few EN wikis. We'd like to enable it on other wikis that heavily rely on the feature. DE and ES? Maybe others?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2017, 7:59 PM
TBolliger renamed this task from Enable AbuseFilter profiling on more wikis of other languages to Enable AbuseFilter runtime measurement (Grafana) on more wikis of other languages.Nov 22 2017, 4:48 PM
TBolliger updated the task description. (Show Details)

This is a totally personal idea, but I'd like to propose it.wiki as well for this feature. It would be a really great help in developing filters.

Change 420672 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[operations/mediawiki-config@master] Enable AbuseFilter runtime profile on Italian Wikipedia

https://gerrit.wikimedia.org/r/420672

Daimona claimed this task.Mar 20 2018, 11:31 AM
Daimona triaged this task as Normal priority.
dmaza added a subscriber: dmaza.Mar 20 2018, 4:28 PM

Once this gets deployed. We need to add those wikis to the Grafana dashboard.

@dmaza yeah. I can't do that, could you please do it like you did for T174204 as this will get merged?

What a coincidence! I filed T190264: AbuseFilter stats & profiler for es.wikibooks today. I already have a patch set for that.

dmaza added a comment.Mar 21 2018, 7:51 PM

@Daimona Yes no problem. Someone probably needs to schedule the patch for deployment. Do you have access to do that?

@dmaza Many thanks. Unfortunately I don't.

Daimona added a comment.EditedMar 23 2018, 2:09 PM

I'll try to add this patch to next week's SWAT, even though I don't know yet when I'll be able to do it.

EDIT: Hopefully going with SWAT on tuesday afternoon.

Change 420672 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AbuseFilter runtime profile on more Wikis

https://gerrit.wikimedia.org/r/420672

@dmaza May you please add missing graphs per above? Many thanks!

Mentioned in SAL (#wikimedia-operations) [2018-03-27T13:24:08Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:420672|Enable AbuseFilter runtime profile on more Wikis (T175954)]] (duration: 00m 58s)

Daimona closed this task as Resolved.Mar 27 2018, 7:39 PM

@dmaza Many many thanks!